 /*
  * Khoros: $Id: vsamp.h,v 1.1 1991/05/10 15:51:26 khoros Exp $
  */

 /*
  * $Log: vsamp.h,v $
 * Revision 1.1  1991/05/10  15:51:26  khoros
 * Initial revision
 *
  */ 

/*
 *----------------------------------------------------------------------
 *
 * Copyright 1991, University of New Mexico.  All rights reserved.
 * Permission to copy and modify this software and its documen-
 * tation only for internal use in your organization is hereby
 * granted, provided that this notice is retained thereon and
 * on all copies.  UNM makes no representations as too the sui-
 * tability and operability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 * 
 * UNM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FIT-
 * NESS.  IN NO EVENT SHALL UNM BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHAT-
 * SOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER
 * IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PER-
 * FORMANCE OF THIS SOFTWARE.
 * 
 * No other rights, including for example, the right to redis-
 * tribute this software and its documentation or the right to
 * prepare derivative works, are granted unless specifically
 * provided in a separate license agreement.
 *---------------------------------------------------------------------
 */

#include "unmcopyright.h"        /* Copyright 1991 by UNM */


/*>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
 >>>>
 >>>>         File Name: vsamp.h
 >>>>            Author: Richard Krukar
 >>>> Date Last Updated: Thu Mar  7 15:56:34 1991
 >>>> 
 >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>   <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/

#ifndef _vsamp_h_
#define _vsamp_h_

#include "vinclude.h"


/* -include_includes */
/* -include_includes_end */

char	**av,		/* argv and argc used by gparams */
	*program,	/* a pointer to the program name argv[0] */
	*calloc();
int	ac;

/****************************************************************
*
*                    vsamp Argument Structure
*
****************************************************************/

typedef struct _vsamp  {

/*
 *  input image (Required infile)
 */
char	*i_file;	/* input image FILENAME */
int	 i_flag;	/* input image FLAG */

/*
 *  output image (Required outfile)
 */
char	*o_file;	/* output image FILENAME */
int	 o_flag;	/* output image FLAG */

/*
 *  starting x coordinate for line (Required integer)
 */
int	 x1_int; 	/* starting x coordinate for line INT */
int	 x1_flag;	/* starting x coordinate for line FLAG */

/*
 *  ending x coordinate for line (Required integer)
 */
int	 x2_int; 	/* ending x coordinate for line INT */
int	 x2_flag;	/* ending x coordinate for line FLAG */

/*
 *  starting y coordinate for line (Required integer)
 */
int	 y1_int; 	/* starting y coordinate for line INT */
int	 y1_flag;	/* starting y coordinate for line FLAG */

/*
 *  ending y coordinate for line (Required integer)
 */
int	 y2_int; 	/* ending y coordinate for line INT */
int	 y2_flag;	/* ending y coordinate for line FLAG */

/*
 *  number of samples (Required integer)
 */
int	 n_int; 	/* number of samples INT */
int	 n_flag;	/* number of samples FLAG */

}  vsamp_struct;

vsamp_struct *vsamp;

/* -include_additions */
/* -include_additions_end */

/* -include_macros */
/* -include_macros_end */

#endif
